Subject: Re: questions
From: "Mike" <[email-masked]>
To: "Sara Wilson" <[email-masked]>
Date: Wed, 4 Oct 2006 13:40:30 -0400

That would no problem if I had been given a CD.  Celeste had asked me about it just the other day.  I thought maybe all the discs had been handed out and there were not any more that needed to be done.  So sorry oh administrative one.  Jesus...he hos been so good to me (all said with a chinese accent)

-Mike
  ----- Original Message ----- 
  From: Sara Wilson 
  To: [email-masked] 
  Sent: Wednesday, October 04, 2006 1:19 PM
  Subject: questions

  Hey Mike... we need your 25 questions from the CD that Ricardo gave you. I'm handing them all out this Sunday. Thanks!

  Sara Wilson
  Spyn.U Admin. Asst.
  Mount Hope Church
  [email-masked]
  517-242-3796